Skip to content
OrdersOrder Drafts

List order drafts

Returns cursor-paginated drafts, filterable by status, customer and ID.

Query Parameters

limit?integer

Maximum number of results to return.

Formatint32
cursor?string

Cursor from the previous response. Omit it on the first page.

search?string

Free-text search.

sortBy?string

Field to sort by.

sortDirection?string

Sort direction: asc or desc.

Value in

  • "asc"
  • "desc"
id?string

Unique identifier of the resource.

status?array<>

Only items in these statuses.

Value in

  • "draft"
  • "sent"
  • "viewed"
  • "accepted"
  • "rejected"
  • "expired"
  • "converted"
  • "cancelled"
customerId?string

Identifier of the customer.

Header Parameters

x-Store-Id?string

Store the request acts on. Not needed when the token is bound to a store.

Authorization*string

OAuth 2.0 bearer token.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://api.ecomiq.pe/api/v1/order-drafts" \  -H "x-Store-Id: <store-id>" \  -H "Authorization: Bearer <token>"
{  "data": [    {      "id": "7204558912004325350",      "storeId": "7204558912004327977",      "customerId": "7204558912004326262",      "cartId": "7204558912004325176",      "draftNumber": "Mi tienda",      "currencyCode": "PEN",      "source": "Tienda online",      "email": "andrea.ramos@example.com",      "phone": "+51987654321",      "firstName": "Andrea",      "lastName": "Ramos",      "entityName": "Comercial Lima SAC",      "status": "draft",      "draftDate": "2026-09-28T15:30:00Z",      "sentAt": "2026-09-28T15:30:00Z",      "acceptedAt": "2026-09-28T15:30:00Z",      "expiredAt": "2026-09-28T15:30:00Z",      "cancelledAt": "2026-09-28T15:30:00Z",      "convertedAt": "2026-09-28T15:30:00Z",      "shareToken": "replace_with_the_issued_token",      "shareExpiresAt": "2026-09-28T15:30:00Z",      "allowAnonymousShareAccess": false,      "sharedAt": "2026-09-28T15:30:00Z",      "total": 178,      "createdOn": "2026-09-28T15:30:00Z",      "updatedOn": "2026-09-28T15:30:00Z"    }  ],  "hasNextPage": true,  "nextCursor": "eyJpZCI6IjcyMDQ1NTg5MTIwMDQzMjUzMDEifQ",  "totalCount": 24}